/**
 * Copyright (c) 2016-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.registry.overlay;

import org.ow2.petals.registry_overlay.api.StoredRegistryEndpoint;
import org.ow2.petals.registry_overlay.api.StoredRegistryEndpoint.Type;

/**
 * External endpoints
 * 
 * TODO PETALSESBCONT-393 The problem is as follow: it can't reuse the original endpoint getAsReference because we can't
 * serialize the original implementation provided by the component since it won't be present in other nodes classpath...
 * Maybe this could be solved with hazelcast distributed computing functionalities...
 * 
 */
public class ExternalEndpointImpl extends RegistryOverlayEndpoint {

    private static final long serialVersionUID = -6279065418650334723L;

    public ExternalEndpointImpl(final StoredRegistryEndpoint endpoint) {
        super(EndpointType.EXTERNAL, endpoint);
        assert endpoint.getType() == Type.EXTERNAL;
    }
}
