/**
 * Copyright (c) 2013-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.registry.overlay.exception;

import org.ow2.petals.microkernel.api.communication.sharedarea.exception.SharedAreaException;

/**
 * The configuration of the Petals Registry Overlay is invalid.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InvalidConfigurationException extends SharedAreaException {

    /**
     * Serial Version UID
     */
    private static final long serialVersionUID = 618700985205488876L;

    private final static String MESSAGE_PATTERN = "The configuration of the Petals Registry Overlay client is invalid: %s";

    public InvalidConfigurationException(final String reason) {
        super(String.format(MESSAGE_PATTERN, reason));
    }

    public InvalidConfigurationException(final Throwable e) {
        super(String.format(MESSAGE_PATTERN, e.getMessage()), e);
    }

}
